/*
 * TestCloseButton.java
 */

package junit.test;


import java.awt.event.ActionEvent;

import javax.swing.JPanel;

import junit.framework.TestCase;
import latexDraw.ui.components.CloseButton;

import org.junit.Before;
import org.junit.Test;



/** 
 * This class contains tests on the class CloseButton.<br>
 * <br>
 * This file is part of LaTeXDraw<br>
 * Copyright (c) 2005-2008 Arnaud BLOUIN<br>
 *<br>
 *  LaTeXDraw is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  any later version.<br>
 *<br>
 *  LaTeXDraw is distributed without any warranty; without even the 
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 *  PURPOSE. See the GNU General Public License for more details.<br>
 * 
 * <br>
 * 06/26/07<br>
 * @author Arnaud BLOUIN<br>
 * @version 2.0.0<br>
 */
@SuppressWarnings("nls")
public class TestCloseButton extends TestCase
{

	private CloseButton		cb;

	private final JPanel	panel	= new JPanel();




	@Override
	@Before
	public void setUp()
	{
		cb = new CloseButton(panel);
	}
	

	@Test
	public void testConstructor()
	{
		new CloseButton(null);
	}





	@Test
	public void testActionPerformed()
	{
		ActionEvent e = new ActionEvent(cb, 0, "");
		cb.actionPerformed(e);
		System.out.println(panel.isVisible());
		assertFalse(panel.isVisible());
	}

}
