package latexDraw.figures.properties;

import java.awt.Shape;


/** 
 * This class defines a properties of figures: if the borders can move,
 * these methods allow the user to get the different positions of the
 * borders.<br>
 * <br>
 * This file is part of LaTeXDraw<br>
 * Copyright (c) 2005-2008 Arnaud BLOUIN<br>
 *<br>
 *  LaTeXDraw is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.<br>
 *<br>
 *  LaTeXDraw is distributed without any warranty; without even the 
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 *  PURPOSE.  See the GNU General Public License for more details.<br>
 *<br>
 * 01/20/06<br>
 * @author Arnaud BLOUIN<br>
 * @version 2.0.0<br>
 */
public interface BordersMovable
{
	public Shape getInsideBorders();
	
	public Shape getOutsideBorders();
	
	public Shape getMiddleBorders();
	
	public Shape getInsideOutsideOrMiddleBorders();
}
