package latexDraw.parsers;

/** 
 * This kind of exception occurred when there is too many brackets at a
 * given time.<br>
 * 
 * This file is part of LaTeXDraw<br>
 * Copyright (c) 2005-2008 Arnaud BLOUIN<br>
 *<br>
 *  LaTeXDraw is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.<br>
 *<br>
 *  LaTeXDraw is distributed without any warranty; without even the 
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 *  PURPOSE.  See the GNU General Public License for more details.<br>
 *<br>
 * 02/01/06<br>
 * @author Arnaud BLOUIN<br>
 * @version 2.0.0<br>
 */
public class TooManyBracketsException extends FatalErrorParsingException
{
	private static final long serialVersionUID = 1L;

	private int nLine;
	
	
	public TooManyBracketsException(int nl)
	{
		nLine = nl;
		msg = "At the line "+nLine+", the closing bracket is of excess.";//$NON-NLS-1$ //$NON-NLS-2$
	}

	
	
	/**
	 * @return the nLine
	 */
	public int getNLine()
	{
		return nLine;
	}
}
