package latexDraw.ui.listeners;

import latexDraw.ui.LaTeXDrawFrame;


/** 
 * This class defines an abstract listener for the program.<br>
 * It contains a reference to the main frame.
 * <br>
 * This file is part of LaTeXDraw<br>
 * Copyright (c) 2005-2008 Arnaud BLOUIN<br>
 *<br>
 *  LaTeXDraw is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.<br>
 *<br>
 *  LaTeXDraw is distributed without any warranty; without even the 
 *  implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 *  PURPOSE. See the GNU General Public License for more details.<br>
 * <br>
 * 
 * 09/18/06<br>
 * @author Arnaud BLOUIN<br>
 * @version 2.0.0<br>
 * @since 1.9<br>
 */
public class AbstractListener
{
	/** The main frame of the program. */
	LaTeXDrawFrame mainFrame;
	
	
	/**
	 * The constructor.
	 * @param frame A reference to the main frame of the program. 
	 */
	public AbstractListener(LaTeXDrawFrame frame)
	{
		mainFrame = frame;
	}
}
